#include <bits/stdc++.h>

using namespace std;

#define nl '\n'

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int n,k,x;
        cin>>n>>k>>x;
    vector<int> a(n);
    vector<int> psum(n+1);
    for(int i =0;i<n;i++){
            cin>>a[i];
            psum[i+1]=psum[i]+a[i];

    }
    //for(int i =0;i<=n;i++)cout<<psum[i]<<" ";

    for(int i =0;i<n-k+1;i++){
            vector<int> b;
        for(int j = i+1;j<i+k;j++){
            b.push_back(psum[i+k]-psum[j]);
        }
        sort(b.rbegin(),b.rend());
       int ans = psum[i+k]-psum[i];
        for(int i=0;i<x-1;i++){
            ans+=b[i];
        }
        int ans2 = psum[i+k]-psum[i];
        for(int i=0;i<x-2;i++){
            ans2+=b[i];
        }

        cout<<max(ans,ans2)<<" ";

    }


    return 0;
}